<?php 



function conectDB(){
    $db = mysqli_connect("localhost", "root", "", "unidos_sistema") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}		
		
		
function conectDBSOFCON(){
	
	define('DB_HOST'        , "192.168.0.237");
	define('DB_USER'        , "projetos");
	define('DB_PASSWORD'    , "projetos");
	define('DB_NAME'        , "UNI");
	define('DB_DRIVER'      , "sqlsrv");
 
	require_once "../backend/config/processos/Conexao.php";
	
	$Conexao    = Conexao::getConnection();
	
	return $Conexao;
}

function UP_pedido_COD2($id_ped, $codigo_linha, $nf, $id){ //jaylan
	$db  = conectDB();
	

	$SQL2 = "UPDATE `bkp_pedidos_arquivos` SET `sofcon_pedido` = '$id_ped', `sofcon_nf` = '$nf' WHERE `id` = $codigo_linha";	
	$result2 = mysqli_query($db,$SQL2);
	
	if($nf != 0 AND $result2 == true){
		$SQL = "UPDATE `bkp_pedidos` SET `pedido` = '1' WHERE `id` = $id";
		$result = mysqli_query($db,$SQL);
	}

    return $result2;
}
	
		
		
		
	date_default_timezone_set('America/Bahia');
        $db     = conectDB();
		$SF     = conectDBSOFCON();
                
        $SQL    = "SELECT A.idarquivo,A.pedido_id FROM `bkp_pedidos` P INNER JOIN `bkp_pedidos_arquivos` A ON P.id=A.pedido_id WHERE P.status = 'EXPORTADO' AND P.pedido = 0";
        $result = mysqli_query($db,$SQL);
		
		while($RW = mysqli_fetch_array($result)){
				$cod_    = str_pad($RW['idarquivo'], 7, "0", STR_PAD_LEFT);

				//echo $cod_."<br>";

				$query      = $SF->query("SELECT SQL_PPEDIDO,SQL_PPEDVEN,SQL_PNUMNFS FROM PEDIDOS_GIM WHERE LTRIM(SQL_PPEDVEN) = '$cod_' AND SQL_PPEDIDO IS NOT NULL");
				$produtos   = $query->fetchAll();
				
				
				if(!empty($produtos)){
				//var_dump($produtos);
				//echo $produtos[0]['SQL_PPEDIDO'];
				
					
					echo $cod_."<br>";
					print_r($produtos);
									
					echo '<br/><hr>';
					echo '<br/>';
					
					$resp = UP_pedido_COD2($produtos[0]['SQL_PPEDIDO'], $RW['idarquivo'], $produtos[0]['SQL_PNUMNFS'],$RW['pedido_id']);
				}
				
		}